<?php
namespace Teknisa\FIS\Modules\Acessorias\Controllers;

use Teknisa\FIS\Modules\Acessorias\Services\Fis41200ConfiguracaoService;
use Doctrine\ORM\EntityManager;
use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response\Error;

class Fis41200ConfiguracaoController {

    public function __construct(EntityManager $entityManager, Fis41200ConfiguracaoService $Fis41200ConfiguracaoService) {
        $this->entityManager            = $entityManager;
        $this->Fis41200ConfiguracaoService = $Fis41200ConfiguracaoService;
    }

    public function saveContatos(DTO\Request $request, DTO\Response $response) {
        try {
            $connection = $this->entityManager->getConnection();
            $connection->beginTransaction();
            
            $row = $request->getRow();
            
            // Chama a função de validação.
            $this->Fis41200ConfiguracaoService->saveContatos($row);
            
            $this->entityManager->commit();
            
        } catch(\Exception $e) {
            $this->entityManager->rollback();
            $response->setError(new Error($e->getMessage(), $e->getCode()));
        }
    }
    
}